0

After upgrading PHP to 7.4 FastCGI I'm getting these errors:

: fread(): read of 8192 bytes failed with errno=21 Is a directory in example.com/wp/wp-includes/functions.php on line 5977

And:

Warning: Cannot modify header information - headers already sent by (output started at example.com/wp/wp-includes/functions.php:5977) in example.com/wp/wp-admin/admin-header.php on line 9

I have 3 plugins all disabled.

3

1 Answer 1

1

That sounds like a theme problem, since you have all plugins disabled. The theme has some error, possibly some extra spaces at the top of a file.

I'd change to one of the 'Twenty' themes and see if the problem stops. If so, contact your theme's support area.

If problem persists with one of the "Twenty" themes active, then I'd try a re-install/re-update of the WP core code, using the Admin, Updates screen.

3
  • I have the plugins disabled but one of them was causing the errors! I removed the folder from the plugin directory and the errors went away Jun 24, 2020 at 19:23
  • @1.21gigawatts Which plugin? Sep 28, 2020 at 18:26
  • It's been a few months but I think it has to do with wordpress.org/plugins/wp-hashed-ids. The plugin works fine in normal WP install but in Network install it throws errors. Sep 28, 2020 at 19:34

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.